/* 
Golem Jaw Actuators
For Shannon Chappel
By Dave Hrynkiw, Solarbotics Ltd.
March 9 2014
Released under a Creative-Commons, Attribution, Share-alike License 4.0
*/
#include <Servo.h>
#define jawMin 10
#define jawMax 120
#define jawWait 30000 //30 second delay
#define jawWiggle 200


Servo jawServo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = jawMin;    // variable to store the servo position

void setup()
{
	jawServo.attach(3);  // attaches the servo on pin 9 to the servo object
}

void loop()
{
	/*
	if (pos == jawMin){
		jawServo.write(pos);
		pos = jawMax;
		delay(jawWait);
	}
	if (pos == jawMax){
		jawServo.write(pos);
		pos = jawMin;
		delay(jawWait);
	}
	*/
	for (int i=0; i<6; i++){
		if (i % 2) {  //Test for odd or even (execute on odd)
			jawServo.write(jawMax);
			delay(jawWiggle);
			}
			else {
				jawServo.write(jawMin);
				delay(jawWiggle);
			}
	}
	delay(jawWait);
}

